Subject: Re: bug#50187: 28.0.50; tramp is called from calendar

From: Sam Steingold <[email-masked]>
Date: Fri, 16 Sep 2022 14:45:25 -0400

> * Gregory Heytings <[email-masked]> [2022-09-16 17:26:45 +0000]:
>
>>> But as Michael said you should probably not use nil.
>>
>> I am not sure what you mean, could you please clarify?
>>
>
> The docstring says "it should be an absolute directory name", and nil
> is not an absolute directory name 😉

Ah, right, the initial global value of `default-directory' is nil, but I do

(setq-default default-directory (expand-file-name "~/"))

>> ... mostly because I was still hoping for a fix in Emacs ;-(
>
> It's not clear to me what the "fix" would be here, can you explain
> what you have in mind?

1. `default-directory' should have a global default, see above
2. new buffers should inherit `default-directory' from the global
default instead of the previous buffer from which this one was created.

Thank you!

-- 
Sam Steingold (https://aphar.dreamwidth.org/) on darwin Ns 10.3.2113
https://lastingimpactpsychology.com https://steingoldpsychology.com
https://ffii.org https://jihadwatch.org http://think-israel.org
The more project management you do, the less likely your project is to succeed.